<?php
if(!defined('ABSPATH')) exit; 
global $bizcalendar_web_setrio_bizcal_reCaptcha;
if(!$bizcalendar_web_setrio_bizcal_reCaptcha){
	return;
}
$bizcalendar_web_key = basename(__FILE__, '.php');
$bizcalendar_web_a = shortcode_atts(array_replace_recursive(array(
	'label' => '',
	'atts' => 'filled',
	'sitekey' => get_option('setrio_bizcal_g_site_key', ''),
	'class' => '',
	'type' => 'recaptcha',
	'hide-details' =>"'auto'",
	'texts' => array(
		'invalid' => setrio_bizcal_message('lblReCaptchaFieldNotValid'),
	),
	'rules' => "[v => !v || objVal(\$data,'texts." . $bizcalendar_web_key . ".invalid') || '']",
), (isset($args['wargs']) ? $args['wargs'] : array())), (isset($args['args']) ? $args['args'] : array()), (isset($args['tag']) ? $args['tag'] : ''));
?>
<v-recaptcha
	ref="<?php echo esc_attr($bizcalendar_web_key); ?>" 
	<?php echo esc_attr($bizcalendar_web_a['atts']); ?>
	v-model="<?php echo esc_attr($bizcalendar_web_key); ?>"
	sitekey="<?php echo esc_attr($bizcalendar_web_a['sitekey']); ?>"
	class="<?php echo esc_attr($bizcalendar_web_a['class']); ?>"
	label="<?php echo esc_attr($bizcalendar_web_a['label']); ?>"
	size="compact"
	v-on:verify="recaptchaVerified"
	v-on:expired="recaptchaExpired"
	v-on:render="recaptchaRender"
	v-on:error="recaptchaError"
	v-bind="props('recaptcha')"
></v-recaptcha>
<v-input
	<?php if ($bizcalendar_web_a['rules']) { ?>:rules="<?php echo esc_attr($bizcalendar_web_a['rules']); ?>"<?php } ?>
	ref="<?php echo esc_attr($bizcalendar_web_key); ?>_error" 
	v-model="<?php echo esc_attr($bizcalendar_web_key); ?>_error"
	:hide-details="<?php echo esc_attr($bizcalendar_web_a['hide-details']); ?>"
></v-input>
<component is="script">SetrioBizCalendarVueApps[{{ app_index }}].setData('texts_<?php echo esc_attr($bizcalendar_web_key); ?>',<?php BizCalendar\wp_kses_post(htmlspecialchars(json_encode(array('texts' => array($bizcalendar_web_key => $bizcalendar_web_a['texts']))), ENT_QUOTES, 'UTF-8')); ?>)</component>